<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZCustomUsr1118668829EditViewBase from './ibizcustom-usr1118668829-edit-view-base.vue';

import view_form from '@widgets/ibizcustom/usr1118204624-form/usr1118204624-form.vue';
// 基于 @VIEW/实体编辑视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZCustomUsr1118668829EditView extends IBIZCustomUsr1118668829EditViewBase {

}
</script>